#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Inspired from
#  http://python.jpvweb.com/mesrecettespython/doku.php?id=cx_freeze 
"""
setup for building Windows binary files.
"""
__revision__ = "1.0.10"
 
import sys
from setup import PARAMS
try:
    from cx_Freeze import setup, Executable
except ImportError:
    print("""        This setup needs the module cx_Freeze.
        http://cx-freeze.sourceforge.net/""", file=sys.stderr)
    sys.exit(1)

#############################################################################
# options 
OPTIONS = {
           "includes": [],
           "excludes": [],
           "packages": []
           }
 
#############################################################################
# targets
BASE = None
if sys.platform == "win32":
    BASE = "Win32GUI"
 
EXE = Executable(
    script = "elatom.py",
    base = BASE,
    compress = True,
    icon = None,
    )
 
#############################################################################
# Setup itself
setup(
    name=PARAMS["name"],
    version=PARAMS["version"],
    description=PARAMS["description"],
    author=PARAMS["author"],
    long_description=PARAMS["long_description"],
    author=PARAMS["author"],
    author_email=PARAMS["author_email"],,
    url=PARAMS["url"],
    options={"build_exe": OPTIONS},
    executables=[EXE]
    )
